List local bank codes
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fingopay.io/v1/local-bank-codes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fingopay.io/v1/local-bank-codes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.fingopay.io/v1/local-bank-codes \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fingopay.io/v1/local-bank-codes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fingopay.io/v1/local-bank-codes")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fingopay.io/v1/local-bank-codes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}using RestSharp;
var options = new RestClientOptions("https://api.fingopay.io/v1/local-bank-codes");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"status": "success",
"message": "Bank codes fetched",
"data": [
{
"bankCode": "07000",
"bankName": "Equity Bank"
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "missing_parameter",
"message": "<string>",
"param": "<string>",
"requestId": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "missing_parameter",
"message": "<string>",
"param": "<string>",
"requestId": "<string>"
}
}List local bank codes
Retrieve the list of supported bank codes for local transfers. Currently only Kenya (KE) is supported. Use bank codes from this endpoint when initiating PesaLink transfers or account name validation.
GET
/
v1
/
local-bank-codes
List local bank codes
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fingopay.io/v1/local-bank-codes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fingopay.io/v1/local-bank-codes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)Authorizations
Use your API key as a Bearer token. Example: Authorization: Bearer sk_live_...
Query Parameters
Country code (ISO 3166-1 alpha-2). Currently only KE (Kenya) is supported. Other country codes will return a not-available error.
Available options:
KE Example:
"KE"
Response
Bank codes fetched successfully
Was this page helpful?
⌘I